<%@ page language="java" contentType="image/gif" import="java.awt.*,java.awt.image.*,java.io.*,java.util.*" %>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
</head>
<jsp:useBean id="cpm" scope="session" class="ClassificationManager"/>
<body>
<%

            int fuel = cpm.getFuelWC();
            String itemTitle = cpm.getItemTitleWC();
            //cpm.processForPieChart(fuel,itemTitle);
            boolean success = cpm.makeCharts();
            BufferedImage bi = cpm.getBufferedImage();

            if(bi != null) {
                request.setAttribute("image",bi);
                RequestDispatcher rd = application.getRequestDispatcher("/dyn_img");
                rd.include(request,response);
            } //

            else {

                %>
<p>Image is null</p>
<%

                System.out.println("drawPieImg.jsp, bi is null");

            } //

%>
</body>
</html>


